I have seen that new vulnerability is detected by Red Hat CVE-2018-8897 [Moderate] & CVE-2018-1087 [Important] on Linux kernel.

This was a great opportunity for me to demonstrate how BSA Compliance can be used in very simple and yet very powerful way. With this you can in 10 minutes create and execute job who would detect vulnerable systems and then you could use BSA Patching to update these kernels.

You can download this Component Template from BSA Communities and also you can look into my process of thought when I was creating this Component Template on Youtube link. After I have created this I realized that I needed to update detection logic for 32bit systems which I did in Component Template and you can look into differences.

I wanted to do this to show how easy it can be to use BSA for compliance. Also there are more ways to do this. You could use Red Hat script that they have provided and run it as NSH Type 3 script against your all targets which could get you results back.

As always with BSA you have huge number of possibilities to approach any topic. Usually the only limitations are we users.